#pragma once
#include "global.h"
class Base_Station {
public:
    std::string to_string();
    Psc::JSON to_Json();
    std::optional<SSR::Position_3D> get_pos();
    bool has_valid_position();
    void set_msg(const SSR::HULC_Status_Message& msg);
    static double theoretical_detection_range_meters(double base_height_meters, double target_height_meters);
    std::function<void(const SSR::HULC_Status_Message&)> handle_when_updated = nullptr;
protected:
    std::mutex mtx;
    SSR::HULC_Status_Message hulc{};
};
class Global;
